class Department {
  String? msg;
  int? code;
  List<Data>? data;

  Department({this.msg, this.code, this.data});

  Department.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  String? createBy;
  String? createTime;
  Null? updateBy;
  Null? updateTime;
  Null? remark;
  int? deptId;
  int? parentId;
  String? ancestors;
  String? deptName;
  int? orderNum;
  String? leader;
  String? phone;
  String? email;
  String? status;
  String? delFlag;
  Null? parentName;

  Data(
      {this.createBy,
        this.createTime,
        this.updateBy,
        this.updateTime,
        this.remark,
        this.deptId,
        this.parentId,
        this.ancestors,
        this.deptName,
        this.orderNum,
        this.leader,
        this.phone,
        this.email,
        this.status,
        this.delFlag,
        this.parentName});

  Data.fromJson(Map<String, dynamic> json) {
    createBy = json['createBy'];
    createTime = json['createTime'];
    updateBy = json['updateBy'];
    updateTime = json['updateTime'];
    remark = json['remark'];
    deptId = json['deptId'];
    parentId = json['parentId'];
    ancestors = json['ancestors'];
    deptName = json['deptName'];
    orderNum = json['orderNum'];
    leader = json['leader'];
    phone = json['phone'];
    email = json['email'];
    status = json['status'];
    delFlag = json['delFlag'];
    parentName = json['parentName'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['createBy'] = this.createBy;
    data['createTime'] = this.createTime;
    data['updateBy'] = this.updateBy;
    data['updateTime'] = this.updateTime;
    data['remark'] = this.remark;
    data['deptId'] = this.deptId;
    data['parentId'] = this.parentId;
    data['ancestors'] = this.ancestors;
    data['deptName'] = this.deptName;
    data['orderNum'] = this.orderNum;
    data['leader'] = this.leader;
    data['phone'] = this.phone;
    data['email'] = this.email;
    data['status'] = this.status;
    data['delFlag'] = this.delFlag;
    data['parentName'] = this.parentName;
    return data;
  }
}
